From 894add34c2b5e6b4ccc78996bf681d7ec7bc9e36 Mon Sep 17 00:00:00 2001
From: Martin Jansa <Martin.Jansa@gmail.com>
Date: Thu, 10 Jul 2014 14:29:27 +0200
Subject: [PATCH] glsl, perf: Add few missing .glsl, .vert, .frag files to
 EXTRA_DATA

Upstream-Status: Pending

Signed-off-by: Martin Jansa <Martin.Jansa@gmail.com>

---
 src/fpglsl/Makefile.am |  2 ++
 src/glsl/Makefile.am   | 10 ++++++++--
 src/perf/Makefile.am   |  6 ++++++
 src/vpglsl/Makefile.am |  1 +
 4 files changed, 17 insertions(+), 2 deletions(-)

diff --git a/src/fpglsl/Makefile.am b/src/fpglsl/Makefile.am
index 47c1039f..fd43c919 100644
--- a/src/fpglsl/Makefile.am
+++ b/src/fpglsl/Makefile.am
@@ -39,10 +39,12 @@ noinst_PROGRAMS = \
 endif
 
 EXTRA_DIST = \
+	depth-read.glsl \
 	dowhile2.glsl \
 	dowhile.glsl \
 	forbreak.glsl \
 	for.glsl \
+	infinite-loop.glsl \
 	mov.glsl \
 	mov-imm.glsl \
 	simpleif.glsl \
diff --git a/src/glsl/Makefile.am b/src/glsl/Makefile.am
index 4faa8dbf..079a29d8 100644
--- a/src/glsl/Makefile.am
+++ b/src/glsl/Makefile.am
@@ -37,7 +37,7 @@ AM_LDFLAGS = \
 if HAVE_GLUT
 bin_PROGRAMS = \
 	array \
-        bezier \
+	bezier \
 	bitmap \
 	brick \
 	bump \
@@ -123,12 +123,16 @@ EXTRA_DIST = \
 	CH06-brick.vert \
 	CH11-bumpmap.frag \
 	CH11-bumpmap.vert \
+	CH11-bumpmaptex.frag \
 	CH11-toyball.frag \
 	CH11-toyball.vert \
 	CH18-mandel.frag \
 	CH18-mandel.vert \
-        bezier.geom \
+	bezier.geom \
 	brick.shtest \
+	blinking-teapot.frag \
+	blinking-teapot.vert \
+	convolution.frag \
 	convolution.vert \
 	cubemap.frag \
 	mandelbrot.shtest \
@@ -138,5 +142,7 @@ EXTRA_DIST = \
 	reflect.vert \
 	shadowtex.frag \
 	simple.vert \
+	simplex-noise.glsl \
 	skinning.frag \
+	skinning.vert \
 	toyball.shtest
diff --git a/src/perf/Makefile.am b/src/perf/Makefile.am
index f0031fea..60069396 100644
--- a/src/perf/Makefile.am
+++ b/src/perf/Makefile.am
@@ -59,3 +59,9 @@ endif
 
 glslstateschange_LDADD = libperf.la ../util/libutil.la
 glsl_compile_time_LDADD = ../util/libutil.la
+
+EXTRA_DIST = \
+	glslstateschange1.frag \
+	glslstateschange1.vert \
+	glslstateschange2.frag \
+	glslstateschange2.vert
diff --git a/src/vpglsl/Makefile.am b/src/vpglsl/Makefile.am
index 4a85ed40..48b08f48 100644
--- a/src/vpglsl/Makefile.am
+++ b/src/vpglsl/Makefile.am
@@ -44,6 +44,7 @@ EXTRA_DIST = \
 	func2.glsl \
 	ifelse.glsl \
 	if.glsl \
+	infinite-loop.glsl \
 	mov.glsl \
 	nestedifs.glsl \
 	nestedswizzle.glsl \
